Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Abstract_Storagehome_Dcl Class Reference

****************************************************************. More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Abstract_Storagehome_Dcl:

[legend]
Collaboration diagram for TAO_PSDL_Abstract_Storagehome_Dcl:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Abstract_Storagehome_Dcl (TAO_PSDL_Node *abs_storagehome_header)
| ****************************************************************. More...
| TAO_PSDL_Abstract_Storagehome_Dcl (TAO_PSDL_Node *abs_storagehome_header, TAO_PSDL_Node *abs_storagehome_body)
virtual | ~TAO_PSDL_Abstract_Storagehome_Dcl (void)
TAO_PSDL_Node * | abs_storagehome_header (void) const
| Get the value. More...
TAO_PSDL_Node * | abs_storagehome_body (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods. More...
## Private Attributes
TAO_PSDL_Node * | abs_storagehome_header_
| The values. More...
TAO_PSDL_Node * | abs_storagehome_body_

## Detailed Description

****************************************************************.

## Constructor & Destructor Documentation

TAO_PSDL_Abstract_Storagehome_Dcl::TAO_PSDL_Abstract_Storagehome_Dcl | ( | TAO_PSDL_Node * | abs_storagehome_header | ) |

| ****************************************************************.

TAO_PSDL_Abstract_Storagehome_Dcl::TAO_PSDL_Abstract_Storagehome_Dcl | ( | TAO_PSDL_Node * | abs_storagehome_header,
|  | TAO_PSDL_Node * | abs_storagehome_body
| ) |

TAO_PSDL_Abstract_Storagehome_Dcl::~TAO_PSDL_Abstract_Storagehome_Dcl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

TAO_PSDL_Node * TAO_PSDL_Abstract_Storagehome_Dcl::abs_storagehome_body | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Abstract_Storagehome_Dcl::abs_storagehome_header | ( | void |  | ) | const

| Get the value.

int TAO_PSDL_Abstract_Storagehome_Dcl::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Reimplemented from TAO_PSDL_Node.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Abstract_Storagehome_Dcl::abs_storagehome_body_`[private]`

TAO_PSDL_Node* TAO_PSDL_Abstract_Storagehome_Dcl::abs_storagehome_header_`[private]`

| The values.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp